#include <syslib/hhead.h>
#ifndef __h__LIBHS_DATETIME__
#define __h__LIBHS_DATETIME__

typedef struct {
  uint16 Year;
  uint16 Month;
  uint16 Day;
  uint16 Hour;
  uint16 Minute;
  uint16 Second;
  uint16 DayInYear;
  uint16 DayInWeek;
  uint32 TimeStamp;
} TDateTime;

void PackTimeStamp(TDateTime *T);
uint32 AnalyzeTimeStamp(const char *Format,const char *Buffer);
void UnpackTimeStamp(TDateTime *T);
void FormatTimeStamp(const char *Format,uint32 TimeStamp,char *Buffer);

#endif
#include <syslib/hfoot.h>
