#include <syslib/hhead.h>
#ifndef __h__LIBHS_ERRNO__
#define __h__LIBHS_ERRNO__

#define lheINVREP -0x7E00      /* Invalid reply from server */
#define lheREOF   -0x7E01      /* Unexpected end of file */
#define lheIO     -0x7E02      /* Server I/O error */
#define lheACCESS -0x7E03      /* Buffered file access denied */
#define lheINVAL  -0x7E04      /* Invalid value passed to system library */
#define lheBUSY   -0x7E05      /* File position is busy */
#define lheNOMEM  -0x7E06      /* Library call went out of memory */
#define lheNOFILE -0x7E07      /* No file at I/O position */
#define lheINVNUM -0x7E08      /* Invalid numeric format */

int16 GetErrNo(void);
void SetErrNo(int16 Value);
bool IsError(void);
const char *ComplainError(int16 Error);
const char *ComplainLastError(void);

#endif
#include <syslib/hfoot.h>
