#include <syslib/hhead.h>
#ifndef __h__LIBHS_MEMORY__
#define __h__LIBHS_MEMORY__

void *GetMem(uint16 MemSize);
void *GetClearMem(uint16 MemSize);
void *ReallocMem(void *Ptr,uint16 NewSize);
void *GetHugeMem(uint32 MemSize);
void *GetHugeClearMem(uint32 MemSize);
void *ReallocHugeMem(void *Ptr,uint32 NewSize);
void FreeMem(const void *Ptr);

void *XGetMem(uint16 MemSize);
void *XGetClearMem(uint16 MemSize);
void *XReallocMem(void *Ptr,uint16 NewSize);
void *XGetHugeMem(uint32 MemSize);
void *XGetHugeClearMem(uint32 MemSize);
void *XReallocHugeMem(void *Ptr,uint32 NewSize);

void StartMemoryTransaction(void);
void CommitMemoryTransaction(void);
void RollbackMemoryTransaction(void);

/*------------------------------
*/
#endif
#include <syslib/hfoot.h>
