#include <syslib/hhead.h>
#ifndef __h__LIBHS_STRINGS__
#define __h__LIBHS_STRINGS__

void *StrCpy(void *Dest,const void *Source);
void *StrDup(const void *Source);
void *StrNCpy(void *Dest,const void *Source,uint16 Size);
int16 StrCmp(const void *s1,const void *s2);
int16 StrNCmp(const void *s1,const void *s2,uint16 Size);
uint16 StrLen(const void *Str);
void *MemCpy(void *Dest,const void *Src,uint16 Size);
void *MemMove(void *Dest,const void *Src,uint16 Size);
void *MemSet(void *Dest,uint16 Size,uint8 Byte);
int16 MemCmp(const void *Buf1,const void *Buf2,uint16 Size);
void *StrChr(const void *Str,char c);
void *StrRChr(const void *Str,char c);
char UpCase(char Ch);
void *StrToUpr(void *Dest,const void *Src);
void *StrNToUpr(void *Dest,const void *Src,uint16 Size);
char DownCase(char Ch);
void *StrToLwr(void *Dest,const void *Src);
void *StrNToLwr(void *Dest,const void *Src,uint16 Size);
char SwapCase(char Ch);
void *StrSwapCase(void *Dest,const void *Src);
void *StrNSwapCase(void *Dest,const void *Src,uint16 Size);

#endif
#include <syslib/hfoot.h>
