#include <syslib/hhead.h>
#ifndef __h__LIBHS_THREAD__
#define __h__LIBHS_THREAD__

#include <syslib/kernel.h>

int16 CreateNewThread(TMainFunction *MainFnc,void *Data);
int16 WaitThread(int16 ThreadID);
int16 KillThread(int16 ThreadID);

int32 CreateLock(void);
void Lock(int32 LockID);
void Unlock(int32 LockID);
void DestroyLock(int32 LockID);

int32 CreateCond(void);
void SetCond(int32 CondID);
void ResetCond(int32 CondID);
void WaitCond(int32 CondID);
void DestroyCond(int32 CondID);

#endif
#include <syslib/hfoot.h>
