#include <syslib/hhead.h>
#ifndef __h__OBS_CONFIG__
#define __h__OBS_CONFIG__

/*
  Maximal size of a name of a file handled by OBS. If a file with a name
  longer than this is encountered, it will be rejected. The file name is
  considered without the path and the extension here.
*/
#define MAX_FILENAME_LENGTH 8

/*
  Maximal size of a file specification. Files which specification is longer
  than that are rejected.
*/
#define MAX_FILESPEC_LENGTH 512

/*
  Maximal level of header imports nesting.
*/
#define MAX_HEADER_NESTING_LEVEL 6

#endif
#include <syslib/hfoot.h>
