#include <syslib/types.h>
#define __INTERFACE__
#include "filelib.h"

#include <libhs/strings.h>
#include <libhs/filebuf.h>

#include "errors.h"
#include "fileext.h"
#include "scanbase.h"

void FetchDependencyLibraries(TFileInModule *F)
{
  uint32 Size;
  uint32 Pos;
  upint32 Sizes[2];
  char FileName[128];
  char *Ptr;
  char Ch;
  TFileInModule *OF;
  TArrayHandle L;

  if (!OpenFileInModule(F,0)) {
    PlainError("Unable to open\1");
    PutFileArg(F);
    return;
  }
  Size=GetInputFileSize();
  Pos=Size-8;
  SeekInputFile(Pos);
  ReadBlock(Sizes,8);
  Pos-=Sizes[0]+Sizes[1]-4;
  SeekInputFile(Pos);
  Size=Sizes[0];
  Ptr=FileName;
  CreateArrayEx(&F->Libraries,&L);
  while (Size>0) {
    Ch=ReadByte();
    Size-=1;
    if (Ch==0) {
      if (Ptr!=FileName) {
        *Ptr='\0';
        Ptr=FileName;
        OF=FindDependencyLibrary(FileName,MachineCodeExt->Ext);
        if (OF==NULL) {
          PlainError("Unable to register\1");
          PutArg(FileName);
        } else {
          PutItem(&L,OF);
        }
      }
    } else {
      *(Ptr++)=Ch;
    }
  }
  CloseArray(&L);
  CloseFileInModule();
}
