#include <syslib/hhead.h>
#ifndef __h__OBS_FILEREAD__
#define __h__OBS_FILEREAD__

extern pubconst uint8 CurChar;
extern pubconst int16 CurLine;
extern pubconst int16 CurColumn;

extern pubconst int16 TokLine;
extern pubconst int16 TokColumn;

void InitFileReader(bool NewlinesSignificant);
void SetupCCommentFiltering(void);
void CloseInputFile(void);
uint8 GetChar(void);
void GoBack(void);
void MarkToken(void);

bool IsWhitespace(char Ch);
bool IsDigit(void);
bool IsLowerCase(void);
bool IsStartingIDChar(void);

void GoNonwhitespaceBack(void);
void ReadToNL(void);
void SkipWhitespace(void);
void ReadWordIntoBuf(char *Buf,uint16 BufSize);

#endif
#include <syslib/hfoot.h>
