#include <syslib/hhead.h>
#ifndef __h__OBS_FILETYPE__
#define __h__OBS_FILETYPE__

#include "filestk.h"

#define MAX_STACKS stkInvalid

typedef struct opaquetagTFileInModule {
  TFileInModule P;
  /*
    Pointer to a next file. During the package processing the files are
    collected into lists and stacks for further processing.
  */
  struct opaquetagTFileInModule *StackNext[MAX_STACKS];
  /*
    Pointers to next and previous module in the list of pending files. Such
    files are created by inactive import statements. These statements cannot
    be simply ignored. We need to scan *ALL* the files in the project, even
    the inactive files for typos in the symbols and so on. So these files are
    sent into a special list, where they will wait until they are activated
    or until they are parsed as inactive. Only header files can be placed
    into this list.
  */
  struct opaquetagTFileInModule *NextPending;
  struct opaquetagTFileInModule *PrevPending;
} opaqueTFileInModule;

#endif
#include <syslib/hfoot.h>
