#include <syslib/types.h>

#include "../errors.h"

int16 Main(void)
{
  InitErrors();
  MsgHook=DumpMsg;

  PutMsg(10,3,0,"Test message 1 (error)");
  PutMsg(11,24,4098,"Ultralong test message (warning) "
    "(this message is so long that it will not fit on any line on a normal "
    "text screen; such a long message is required to check if the message "
    "is correctly splitted onto several line when displaying)"
  );
  ReportOutOfMemory();
  PutMsg(13,2,43,"Test message 3 (error)");
  PutMsg(13,2,23,"Test message 4 (error)");

  ClearMessages();

  PutMsg(11,42,112,"Another test message (error)");
  PutMsg(13,2,99,"Error: The\1file has no\2items");
  PutArg("special.src");
  PutArg("adress");
  PutMsg(13,2,99,
    "Error: This error message is used to check the\1arguments. The first "
    "argument was placed at the end of the line, the second one will be "
    "placed at the beginning of the\2line. The arguments are the quoted "
    "words."
  );
  PutArg("variable");
  PutArg("next");
  PutMsg(14,2,100,"Arguments and punctuation:\1,\2.");
  PutArg("Arg1");
  PutArg("Arg2");
  PutMsg(22,12,123,"Numeric arguments: line\1column\2.");
  PutNumArg(22);
  PutNumArg(12);

  Fatal("Fatal error check");
  return(0);
}
