#include <syslib/types.h>
#define __INTERFACE__
#include "settings.h"

#include <syslib/kernel.h>
#include <syslib/pdgfxcon.h>

#include <libhs/gfxcon.h>

static void ReconfigureMode(void)
{
  TSetModeCommand C;

  UnpackModeNumber(ScrMode,&C);
  ScrHeight=C.Height;
  ScrWidth=C.Width;
  ScrPixelSize=C.PixelSize+1;
}

void Reconfigure(void)
{
  ReconfigureMode();
}
