# Detecting how to link against pthread. The pthread library implements
# "POSIX threads", which are commonly found on UNIX-like systems. This
# library is used by SYSLIB to provide thread services.

GPS_DEFCHECK_C([GPSL_PROBE_PTHREAD],[[
#include <pthread.h>
int main(void)
{
  void *p;
  p=pthread_mutex_lock;
  if (p!=printf) {
    printf("yes");
  }
  return(0);
}
]])

GPS_DETECT_LIBRARY([PTHREAD],
  [pthread library],[[
  ]GPS_ARE_HEADERS([pthread.h,signal.h,])[
  GPS_CURLIB="-lpthread"
  ]GPSL_PROBE_PTHREAD[
  if test "x]CODE_OUTPUT[" != "xyes"; then
    ]TST_RESULT[="no"
  fi
]])
