# Detecting the Windows API
#
# Windows API is a terrible library made by Microsoft but we need only a very
# small portion of it. We use it for screen and keyboard I/O and for threads
# support.

GPS_CHECK_HEADER([commctrl.h],[windows.h,])

GPS_DEFCHECK_C([GPSL_PROBE_GDI32],[[
#include <windows.h>
int main(void)
{
  void *p;
  p=DeleteObject;
  if (p!=printf) {
    printf("yes");
  }
  return(0);
}
]])

GPS_DETECT_LIBRARY([WINAPI],
  [Windows API],[[
  ]GPS_ARE_HEADERS([time.h,windows.h,windowsx.h,commctrl.h,])[
  GPS_CURLIB="-lgdi32"
  ]GPSL_PROBE_GDI32[
]])
