# 'basename' command detection
#
# Same as with 'expr' and 'unset': avoid bogus error reports when there is
# no 'basename'.

GPS_DEFCHECK([SH_BASENAME],[[
  # Check for 'basename' presence
  if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
    ]TST_RESULT[=basename
  else
    ]TST_RESULT[=false
  fi
]])
