# Determine how to change mode of the file. If available, fchmod() will be
# used for this purpose, otherwise chmod() will be used (fchmod() is
# preferred since it does not cause race conditions).

GPS_CHECK_FUNCTION([fchmod],[
  #include <sys/types.h>
  #include <sys/stat.h>
])

GPS_DEFEXCL([CHMOD],
  [how to implement chmod()],[[
  ]GPS_ARE_HEADERS([sys/types.h,sys/stat.h,])[
  if test "x]GPS_HAVE_FCHMOD[" != "xyes"; then
    ]TST_RESULT[="no"
  fi
  if test "x]GPS_HAVE_DIRFD[" != "xyes"; then
    ]TST_RESULT[="no"
  fi
  if test "x$]TST_RESULT[" = "xyes"; then
    ]TST_RESULT[="secure"
  else
    ]TST_RESULT[="posix"
  fi
]])
