# Determine how to emulate screen and keyboard (so-called graphics console)
#
# This is one of the most complex things the SYSLIB is doing. Accessing
# screen and keyboard is extremely operating system specific and creating
# an interface that can allow programs working with the screen and the
# keyboard without change is one of the biggest SYSLIB features.

GPS_SELECT_DRIVER([SCREEN_DRV],[how to access screen and keyboard],[
  [[SDL],       [SDL]],
  [[X11],       [X11]],
  [[windows],   [WINAPI]],
])
