# Determine how to obtain the current directory from the system. This is
# used only during startup of the program to decide, which drive and
# directory is set as CWD immediately after the program started.

GPS_CHECK_FUNCTION([getcwd],[
  #include <unistd.h>
])

GPS_DEFEXCL([GETCWD],
  [how to obtain current directory],[[
  if test ]GPS_HAVE_GETCWD[ = "yes"; then
    ]TST_RESULT[="posix"
  elif ]GPS_IS_HEADER([dir.h])[; then
    ]TST_RESULT[="bcmsdos"
  else
    ]GPS_ERROR([Unable to guess how to get current working directory])[
  fi
]])
