# Check for 32 bit I/O support
#
# On some platforms the file I/O transfers are limited to 64K or even less.
# I need to emulate 32 bit file I/O transfers on them.

GPS_DEFBOOL([IO32],
  [whether 32 bit I/O is possible],[[
  ]TST_RESULT[="no"
  if test "]GPS_SIZE_T_SIZE[" != "no"; then
    if test "x`expr "]GPS_SIZE_T_SIZE[" ">" 3`" = "x1"; then
      ]TST_RESULT[="yes"
    fi
  fi
]])
