# Check for the location of the open() and close() calls. Some pre-POSIX
# targets use auxiliary headers such as <io.h> for them.

GPS_DEFCHECK_C([GPSL_CHECK_IO_HEADER],[[
#include <io.h>

int main(void)
{
  void *p;

  p=open;
  p=close;
  printf("yes");
  return(0);
}
]])

GPS_DEFBOOL([NEED_IO],
  [whether open() and close() are declared in io.h],[[
  ]TST_RESULT[="no"
  if ]GPS_IS_HEADER([io.h])[; then
    ]GPSL_CHECK_IO_HEADER[
    if test -n "]CODE_OUTPUT["; then
      ]TST_RESULT[="yes"
    fi
  fi
]])
