# Detecting the size of 'size_t'
#
# Some of the checks need to know the size of 'size_t' type. So we extract it
# out for them using these tests.

GPS_DEFCHECK_C([GPSL_DETECT_SIZE_T_SIZE],[[
#include <stdlib.h>

int main(void)
{
  printf("%d",sizeof(size_t));
  return(0);
}
]])

GPS_DEFCHECKING([GPS_SIZE_T_SIZE],
  [for size of size_t],[[
  ]GPSL_DETECT_SIZE_T_SIZE[
  if test "x]CODE_OUTPUT[" = "x"; then
    ]TST_RESULT[="no"
  else
    ]TST_RESULT[="]CODE_OUTPUT["
  fi
]])

