# Check whether we need to use pthread_cancel() to kill threads.

GPS_DEFCHECK_C([GPSL_CHECK_CANCEL_NEEDED],[
  #include <pthread.h>
  int main(void)
  {
  #ifdef PTHREAD_CANCEL_ASYNCHRONOUS
    printf("yes");
  #endif
    return(0);
  }
])

GPS_DEFBOOL([THR_USE_CANCEL],
  [whether threads must be killed using pthread_cancel()],[[
  ]GPS_UNUSED[
  if ]GPS_TEST_LIB_PTHREAD[; then
    ]TST_RESULT[="no"
    ]GPS_LIBCHECK_ACCESS([PTHREAD])[
    ]GPSL_CHECK_CANCEL_NEEDED[
    ]GPS_LIBCHECK_CLEAR[
    if test -n "]CODE_OUTPUT["; then
      ]TST_RESULT[="yes"
    fi
  fi
]])
