#ifndef __h__LIBHS_DICTRB__
#define __h__LIBHS_DICTRB__

/*
  This file is a crippled version of DICTRB module in LIBHS. It is used for
  SYSLIB building program and is not useful outside it.
*/

typedef struct tagRBDict {
  int Flags;
  struct tagRBDict *Left;
  struct tagRBDict *Right;
  struct tagRBDict *Parent;
  const char *Key;
  void *Data;
} TRBDict;

#define rbSUCCESS 0
#define rbDUPLICATE 1
#define rbNOMEM 2

TRBDict *CreateDict(void);
void *SearchKey(TRBDict *T,const char *Key);
int AddItem(TRBDict *T,const char *Key,void *Data);
int AddItemWithKey(TRBDict *T,const char *Key,void *Data);
int DeleteItem(TRBDict *T, const char *Key);
void DestroyDict(TRBDict *T);

#endif
