#ifndef __h__BUILDER_FILEREAD__
#define __h__BUILDER_FILEREAD__

extern bool WereErrors;
extern char Line[128];

void Fatal(const char *Msg);
void LineError(const char *Msg);
void ReportError(const char *Msg);
void TokError(const char *Msg);

int GetCurrentPos(void);
int GetTokenPos(void);
void ReportErrorPos(const char *Msg,int Col);

int IsBlank(char Ch);
bool IsIDChar(char Ch);

bool OpenFile(const char *FileName);
bool OpenCFile(const char *FileName);
void FetchLine(void);
void StripBlanksAndComments(void);
char GetByte(void);
void SkipBlanks(void);
char *ReadWordIntoBuf(char *Buf,unsigned int BufSize);
bool EndOfFile(void);
void CloseFile(void);

#endif
