#include "defs.gh"
#include "types.h"
#include "kernel.h"
#include "pdbase.h"
#include "pdfileio.h"
#include "pdfsys.h"
#include "kernmsg.h"
#include "diskdata.h"
#include "errno.h"
#include "strings.h"

int16 DumbSeek(void *fd,int32 Where,int16 How)
{
  if (fd==NULL);
  if (Where==How);
  return(beNOTSUP);
}

int16 DumbTell(void *fd,TTellReply *R)
{
  if (fd==NULL);
  if (R==NULL);
  return(beNOTSUP);
}

int32 DumbRead(void *fd,void *Buf,int32 Size)
{
  if (fd==Buf);
  if (Size==0);
  return(beNOTSUP);
}

int32 DumbWrite(void *fd,const void *Buf,int32 Size)
{
  if (fd==Buf);
  if (Size==0);
  return(beNOTSUP);
}

int16 DumbPDStat(void *fd,TFileInfo *Info)
{
  Info->CreatedTime=(uint64)-1;
  Info->ModifiedTime=(uint64)-1;
  Info->Owner=65535;
  Info->Group=65535;
  Info->Description[0]='\0';
  Info->Size=0;
  Info->Attr=fmPKTFIFO;
  Info->ID=(uint32)-1;
  return(0);
}

int16 DumbTruncate(void *fd)
{
  if (fd==NULL);
  return(beNOTSUP);
}

int16 DumbReadFileInfo(uint32 Number,TFileInfo *Info)
{
  if (Number==0);
  if (Info==NULL);
  return(beNOTSUP);
}

int16 DumbChMod(void *fd,uint16 NewAttr)
{
  if (fd==NULL);
  if (NewAttr==10);
  return(fseNOTSUP);
}

int16 DumbChOwn(void *fd,uint16 NewOwner)
{
  if (fd==NULL);
  if (NewOwner==10);
  return(fseNOTSUP);
}

int16 DumbChGrp(void *fd,uint16 NewGroup)
{
  if (fd==NULL);
  if (NewGroup==10);
  return(fseNOTSUP);
}

bool DumbMkDir(const char *DirSpec)
{
  if (DirSpec==NULL);
  return(fseNOTSUP);
}

bool DumbRmDir(const char *DirSpec)
{
  if (DirSpec==NULL);
  return(fseNOTSUP);
}

bool DumbRemove(const char *FileSpec)
{
  if (FileSpec==NULL);
  return(fseNOTSUP);
}

bool DumbRename(const char *OldName,const char *NewName)
{
  if (NewName==OldName);
  return(fseNOTSUP);
}
