#ifndef __h__SYSLIB_DISKLOW__
#define __h__SYSLIB_DISKLOW__

int16 TranslateCommonErrors(int16 ErrorCode);
int16 ConvertStatToInfo(void *S,TFileInfo *Info);
int16 LowLevelSeek(int16 ID,int32 Where,int16 How);
int32 LowLevelTell(int16 ID);
int32 LowLevelRead(int16 ID,void *Buf,int32 Size);
int32 LowLevelWrite(int16 ID,const void *Buf,int32 Size);
int16 LowLevelFStat(int16 ID,TFileInfo *Info);
int16 LowLevelClose(int16 ID);
int16 LowLevelTruncate(int16 ID);
int16 LowLevelOpen(const char *FileSpec,int16 Mode);
int16 LowLevelStat(const char *FileSpec,TFileInfo *Info);
int16 LowLevelOpenDir(const char *DirSpec,void **Result);
#if __e__CHOWN__ == __v__secure__
int16 GetOpenDirID(void *Dir);
#endif
int16 LowLevelReadItem(void *Dir,TDirItem *I);
int16 LowLevelCloseDir(void *Dir);

#endif
