#ifndef __h__SYSLIB_ERRNO__
#define __h__SYSLIB_ERRNO__

/*
  These definitions are internal to SYSLIB and are never released to public.
  This allow changing them without breaking other software.
*/

void PrepareSystemCall(void);
int16 ReadERRNO(void);
int16 ReadAndTranslateERRNO(void);
const char *ComplainLastSystemError(void);

#define GetErrorCode(x) ((x)?ReadAndTranslateERRNO():0)
#define GetError(x) ((x)?ReadERRNO():0)

#endif
