#ifndef __h__SYSLIB_INETTYPE__
#define __h__SYSLIB_INETTYPE__

#define WINSOCK_HACK_TAG 0x8E
#define WINSOCK_HACK_PROLOG_STR "-=< Microsoft Windows WinSock Hack >=-"
#define FIRST_IGNORED_CHAR 0x80
#define SECOND_IGNORED_CHAR 0xE0

typedef struct {
  void *ServerSocket;
  void *Socket;
  int16 QueueSize;
  THostAddr *Host;
  upint16 *Port;
} TClientInfo;

#define MAX_PENDING_ADRESSES 128

typedef struct {
  uint16 PendingCnt;
  uint16 CurrentPending;
  THostAddr Data[MAX_PENDING_ADRESSES];
} TResolverData;

bool InetCheckIsIPv4(THostAddr *Host);

#endif
