#ifndef __h__SYSLIB_LTDEPS__
#define __h__SYSLIB_LTDEPS__

#define MAX_DEPENDENCY_INFO_SIZE 32768

typedef struct {
  upint16 Length;
  upint8 Info[MAX_DEPENDENCY_INFO_SIZE];
} TDependencyInfo;

int16 FetchDependencyInfo(int16 Handle,TDependencyInfo **I);
TDependencyInfo *GetDependencyInfo(const char *LibName);
void PutDependencyInfo(const char *LibName,TDependencyInfo *I);
void SyncDependencyInfo(void);

void InitializeLibraryStack(void);
void PushLibraryInfo(const char *LibName);
TDependencyInfo *PopLibraryInfo(void);
void CleanupLibraryStack(void);

#endif
