#ifndef __h__SYSLIB_PDKEYS__
#define __h__SYSLIB_PDKEYS__

#define MK_NUMBER		0x003F
#define MK_CLASS		0x00C0
#define CK_MODIFIER		0x0000
#define CK_TYPING		0x0040
#define CK_FUNCTION		0x0080
#define CK_LOCK			0x00C0
#define MK_RELEASED		0x8000

#define RK_ESC			(0x00	+CK_FUNCTION)
#define RK_F1			(0x01	+CK_FUNCTION)
#define RK_F2			(0x02	+CK_FUNCTION)
#define RK_F3			(0x03	+CK_FUNCTION)
#define RK_F4			(0x04	+CK_FUNCTION)
#define RK_F5			(0x05	+CK_FUNCTION)
#define RK_F6			(0x06	+CK_FUNCTION)
#define RK_F7			(0x07	+CK_FUNCTION)
#define RK_F8			(0x08	+CK_FUNCTION)
#define RK_F9			(0x09	+CK_FUNCTION)
#define RK_F10			(0x0A	+CK_FUNCTION)
#define RK_F11			(0x0B	+CK_FUNCTION)
#define RK_F12			(0x0C	+CK_FUNCTION)
#define RK_BACKSPACE		(0x0D	+CK_FUNCTION)
#define RK_TAB			(0x0E	+CK_FUNCTION)
#define RK_ENTER		(0x0F	+CK_FUNCTION)
#define RK_SPACE		(0x10	+CK_FUNCTION)
#define RK_INSERT		(0x11	+CK_FUNCTION)
#define RK_DELETE		(0x12	+CK_FUNCTION)
#define RK_HOME			(0x13	+CK_FUNCTION)
#define RK_END			(0x14	+CK_FUNCTION)
#define RK_PGUP			(0x15	+CK_FUNCTION)
#define RK_PGDN			(0x16	+CK_FUNCTION)
#define RK_LEFT			(0x17	+CK_FUNCTION)
#define RK_RIGHT		(0x18	+CK_FUNCTION)
#define RK_UP			(0x19	+CK_FUNCTION)
#define RK_DOWN			(0x1A	+CK_FUNCTION)
#define RK_KP_SLASH		(0x1B	+CK_FUNCTION)
#define RK_KP_STAR		(0x1C	+CK_FUNCTION)
#define RK_KP_MINUS		(0x1D	+CK_FUNCTION)
#define RK_KP7			(0x1E	+CK_FUNCTION)
#define RK_KP8			(0x1F	+CK_FUNCTION)
#define RK_KP9			(0x20	+CK_FUNCTION)
#define RK_KP_PLUS		(0x21	+CK_FUNCTION)
#define RK_KP4			(0x22	+CK_FUNCTION)
#define RK_KP5			(0x23	+CK_FUNCTION)
#define RK_KP6			(0x24	+CK_FUNCTION)
#define RK_KP1			(0x25	+CK_FUNCTION)
#define RK_KP2			(0x26	+CK_FUNCTION)
#define RK_KP3			(0x27	+CK_FUNCTION)
#define RK_KP_ENTER		(0x28	+CK_FUNCTION)
#define RK_KP0			(0x29	+CK_FUNCTION)
#define RK_KP_PERIOD		(0x2A	+CK_FUNCTION)
#define RK_MENU			(0x2B	+CK_FUNCTION)
#define RK_PRINTSCREEN		(0x2C	+CK_FUNCTION)
#define RK_PAUSE		(0x2D	+CK_FUNCTION)
#define KCNT_FUNCTION	0x2E

#define RK_BACKAPOSTROPHE	(0x00	+CK_TYPING)
#define RK_1			(0x01	+CK_TYPING)
#define RK_2			(0x02	+CK_TYPING)
#define RK_3			(0x03	+CK_TYPING)
#define RK_4			(0x04	+CK_TYPING)
#define RK_5			(0x05	+CK_TYPING)
#define RK_6			(0x06	+CK_TYPING)
#define RK_7			(0x07	+CK_TYPING)
#define RK_8			(0x08	+CK_TYPING)
#define RK_9			(0x09	+CK_TYPING)
#define RK_0			(0x0A	+CK_TYPING)
#define RK_MINUS		(0x0B	+CK_TYPING)
#define RK_EQUAL		(0x0C	+CK_TYPING)
#define RK_BACKSLASH		(0x0D	+CK_TYPING)
#define RK_Q			(0x0E	+CK_TYPING)
#define RK_W			(0x0F	+CK_TYPING)
#define RK_E			(0x10	+CK_TYPING)
#define RK_R			(0x11	+CK_TYPING)
#define RK_T			(0x12	+CK_TYPING)
#define RK_Y			(0x13	+CK_TYPING)
#define RK_U			(0x14	+CK_TYPING)
#define RK_I			(0x15	+CK_TYPING)
#define RK_O			(0x16	+CK_TYPING)
#define RK_P			(0x17	+CK_TYPING)
#define RK_LEFTBRACKET		(0x18	+CK_TYPING)
#define RK_RIGHTBRACKET		(0x19	+CK_TYPING)
#define RK_A			(0x1A	+CK_TYPING)
#define RK_S			(0x1B	+CK_TYPING)
#define RK_D			(0x1C	+CK_TYPING)
#define RK_F			(0x1D	+CK_TYPING)
#define RK_G			(0x1E	+CK_TYPING)
#define RK_H			(0x1F	+CK_TYPING)
#define RK_J			(0x20	+CK_TYPING)
#define RK_K			(0x21	+CK_TYPING)
#define RK_L			(0x22	+CK_TYPING)
#define RK_SEMICOLON		(0x23	+CK_TYPING)
#define RK_APOSTROPHE		(0x24	+CK_TYPING)
#define RK_Z			(0x25	+CK_TYPING)
#define RK_X			(0x26	+CK_TYPING)
#define RK_C			(0x27	+CK_TYPING)
#define RK_V			(0x28	+CK_TYPING)
#define RK_B			(0x29	+CK_TYPING)
#define RK_N			(0x2A	+CK_TYPING)
#define RK_M			(0x2B	+CK_TYPING)
#define RK_COMMA		(0x2C	+CK_TYPING)
#define RK_PERIOD		(0x2D	+CK_TYPING)
#define RK_SLASH		(0x2E	+CK_TYPING)
#define KCNT_TYPING	0x2F

#define RK_CAPSLOCK		(0x00	+CK_LOCK)
#define RK_NUMLOCK		(0x01	+CK_LOCK)
#define RK_SCROLLOCK		(0x02	+CK_LOCK)
#define KCNT_LOCK	0x03

#define RK_LSHIFT		(0x00	+CK_MODIFIER)
#define RK_RSHIFT		(0x01	+CK_MODIFIER)
#define RK_LCTRL		(0x02	+CK_MODIFIER)
#define RK_RCTRL		(0x03	+CK_MODIFIER)
#define RK_LALT			(0x04	+CK_MODIFIER)
#define RK_RALT			(0x05	+CK_MODIFIER)
#define RK_LWIN			(0x06	+CK_MODIFIER)
#define RK_RWIN			(0x07	+CK_MODIFIER)
#define KCNT_MODIFIER	0x08

#endif
