#include <syslib/hhead.h>
#ifndef __h__LIBHS_INET__
#define __h__LIBHS_INET__

#include <syslib/kernel.h>
#include <syslib/pdfsys.h>
#include <syslib/pdinet.h>

int16 OpenServerSocket(uint16 Port,uint16 QueueSize);
bool OpenClientSocket(THostAddr *Host,uint16 Port,TOpenTCPClientReply *R);
bool ResolveAndConnect(char *Host,uint16 Port,TOpenTCPClientReply *R);
bool ListenServer(int16 Handle,TConnectionRecord *R);
bool FindFirstAddress(const char *Name,TOpenTCPClientCommand *R);
bool FindNextAddress(TOpenTCPClientCommand *R);

#endif
#include <syslib/hfoot.h>
