#include <syslib/types.h>
#define __INTERFACE__
#include "misc.h"

#include <syslib/kernel.h>
#include <syslib/pdfsys.h>

#include "strings.h"
#include "diskio.h"

int16 OpenDevice(char *Name)
{
  char DevName[13];
  char *Ptr;

  /*
    The device filesystem is currently always expected at @:/ and is expected
    to have MSDOS type namespace. So construct name like "@:/devname" where
    "devname" is the first 9 characters of the device name.
  */
  Ptr=StrCpy(DevName,"@:/");
  StrNCpy(Ptr,Name,9);
  DevName[12]='\0';
  /*
    Open the device and return the handle. Devices are always opened using
  */
  return(Open(DevName,oeOPEN+oRDWR));
}
