#include <syslib/types.h>
/*
  Test: The basename testing program

  This program tests the StripBaseName() call from <libhs/dirname.h>.
*/

#include <syslib/conio.h>

#include "../strings.h"
#include "../output.h"
#include "../dirname.h"

void Test(char *Name,char *Result)
{
  char Buf[256];
  char *BName;

  StrCpy(Buf,Name);
  BName=StripBaseName(Buf);
  if (StrCmp(BName,Result)) {
    Print("Expected: ");
    Print(Result);
    Print("\nActual: ");
    Print(BName);
    NewLine();
  }
}

int16 main(void)
{
  Test("abc","abc");
  Test("abc/def","def");
  Test("abc\\def","def");
  Test("abc/def/","def");
  Test("abc\\def\\","def");
  Test("abc/def//////","def");
  Test("abc\\def\\\\\\","def");
  return(0);
}
