#include <syslib/types.h>
/*
  Test: Date and time formatting
*/

#include <syslib/conio.h>

#include "../datetime.h"

void Test(const char *Format,uint64 Time)
{
  char Buf[4096];
  
  FormatTimeStamp(Format,Time,Buf);
  Print(Buf);
  Print("\n");
}

#define Time1 123456789
#define Time2 1073248344

int16 main(void)
{
  int16 i;

  for (i=0;i<31;i++) Test("jS",i*86400);

  Test("d.m.Y H:i:s w D l",(0+3)*86400);
  Test("d.m.Y H:i:s w D l",(1+3)*86400);
  Test("d.m.Y H:i:s w D l",(2+3)*86400);
  Test("d.m.Y H:i:s w D l",(3+3)*86400);
  Test("d.m.Y H:i:s w D l",(4+3)*86400);
  Test("d.m.Y H:i:s w D l",(5+3)*86400);
  Test("d.m.Y H:i:s w D l",(6+3)*86400);

  Test("d.m.Y H:i:s F M", 0*86400*31);
  Test("d.m.Y H:i:s F M", 1*86400*31);
  Test("d.m.Y H:i:s F M", 2*86400*31);
  Test("d.m.Y H:i:s F M", 3*86400*31);
  Test("d.m.Y H:i:s F M", 4*86400*31);
  Test("d.m.Y H:i:s F M", 5*86400*31);
  Test("d.m.Y H:i:s F M", 6*86400*31);
  Test("d.m.Y H:i:s F M", 7*86400*31);
  Test("d.m.Y H:i:s F M", 8*86400*31);
  Test("d.m.Y H:i:s F M", 9*86400*31);
  Test("d.m.Y H:i:s F M",10*86400*31);
  Test("d.m.Y H:i:s F M",11*86400*31);

  Test("d.m.Y H:i:s D l z F M",Time1);
  Test("d.m.y h:i:s A a S w",Time1);
  Test("j.N.Y G:i:s D l z F M",Time2);
  Test("j.N.y g:i:s A a S w",Time2);

  return(0);
}
