#include <syslib/types.h>
/*
  Test: Timestamp analysis
*/

#include <syslib/conio.h>

#include "../output.h"
#include "../datetime.h"

void PrintNumber(uint32 Number)
{
  if (Number==0xFFFFFFFF) {
    Print("nat");
  } else {
    PrintDWord(Number,10);
  }
}

void Test(const char *Format,const char *TimeStamp)
{
  uint32 Number;
  char Buffer[50];

  Number=AnalyzeTimeStamp(Format,TimeStamp);
  Print("[");
  PrintNumber(Number);
  Print("]=\"");
  FormatTimeStamp(Format,Number,Buffer);
  Print(Buffer);
  Print("\"");
  NewLine();
}

int16 main(void)
{
  Test("d.m.Y H:i:s","29.11.1973 09:33:09");
  Test("d.m.Y H:i:s","19.05.2103 22:13:56");

  return(0);
}
