#include <syslib/hhead.h>
#ifndef __h__OBS_SCANBASE__
#define __h__OBS_SCANBASE__

#include "files.h"

extern pubconst TFileSpec CurrentDir;

void SubstituteUnderscoresForSlashes(char *NameStart);
bool PrepareFileForScan(TFileInModule *File);
void RegisterHeaderImport(TFileInModule *File);
TFileInModule *GetCurrentlyScannedFile(void);
const char *GetCurrentFileName(void);
bool CheckCurrentFileHasHeader(void);
TFileInModule *RegisterDependencyFile(
  TLocation Loc,
  const char *Name,
  const char *Ext
);
TFileInModule *FindDependencyLibrary(const char *Name,const char *Ext);
void RegisterDependencyLibrary(const char *Name,const char *Ext);
void FinalizeFileAfterScan(void);

#endif
#include <syslib/hfoot.h>
