# Search for a working C compiler

GPS_DEFCHECKING([GPS_CC],[for a working C compiler],[[
  as_dummy="]SH_SELFDIR[/dummy"
  echo "int main(void) {return(0);}" >"$as_dummy.c"
  ]SH_CLEANUP[ "$as_dummy.c" "$as_dummy.o"
  for c in gcc cc c89 c99; do
    if ($c -c -o "$as_dummy.o" "$as_dummy.c") >/dev/null 2>&1; then
      ]TST_RESULT[="$c"
      break
    fi
  done
  if test x"$]TST_RESULT[" = x ; then
    ]TST_RESULT[="none"
  fi
]],[[
  if test "x$]TST_RESULT[" = "xnone"; then
    ]GPS_ERROR([Unable to detect a working compiler])[
  fi
]])
