# Detect the 'ranlib' and set the GPS_RANLIB to 'ranlib' if detected
# otherwise to ':'.
#
# This version does not detected all ranlib programs, only those that have
# the '--version' command line switch. Detecting other programs would involve
# much more troubles as the program detection code from autoconf should be
# ported here and used instead.

GPS_DEFCHECKING([GPS_RANLIB],[for ranlib],[[
  ]TST_RESULT[=:
  if ranlib --version >/dev/null 2>&1; then
    ]TST_RESULT[="ranlib"
  fi
]])
