# Detecting the Windows API
#
# Windows API is a terrible library made by Microsoft but we need only a very
# small portion of it. We use it for screen and keyboard I/O and for threads
# support.

GPS_CHECK_HEADER([commctrl.h],[windows.h,])

GPS_DEFCHECK_C([GPSL_PROBE_WINSOCK32],[[
#include <windows.h>
int main(void)
{
  void *p;
  p=WSAStartup;
  if (p!=printf) {
    printf("yes");
  }
  return(0);
}
]])

GPS_DETECT_LIBRARY([WINSOCK32],
  [Windows Socket API],[[
  ]GPS_ARE_HEADERS([time.h,windows.h,windowsx.h,commctrl.h,])[
  GPS_CURLIB="-lwsock32"
  ]GPSL_PROBE_WINSOCK32[
  if test "x]CODE_OUTPUT[" != "xyes"; then
    ]TST_RESULT[=no
  fi
]])
