# Import the 'echo -n' check result from the main script. The generated
# configuration script needs the $0 to be set to the real file from which it
# was fetched, so it cannot be sourced.

GPS_DEFCHECK([SH_ECHO_N],[[
  # Install the 'echo -n' command as $]TST_RESULT[. The check
  # which command is the correct one was already done and results were
  # written into 'echo_n.sh' by the main config script; everything we need is
  # to define the alias just mentioned.
  ECHO="]SH_SELFDIR[/echo_n.gen"
  ]TST_RESULT[="$SH_EXEC $ECHO"
]])
