# Detect the path separator
#
# Generally, on MS-DOS the path is separated with ";" and on UNIX with ":".
# If other separators are introduced, add them to this check as well.
# This value is required to allow us to examine the components of the path
# variable.

GPS_DEFCHECK([SH_PATH_SEPARATOR],[[
  # Try to obtain the path separator.
  # Remember: The user is always right.
  if test "${PATH_SEPARATOR+set}" != set; then
    echo "#! /bin/sh" >conf$$.sh
    echo  "exit 0"   >>conf$$.sh
    chmod +x conf$$.sh
    if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
      ]TST_RESULT[=';'
    else
      ]TST_RESULT[=:
    fi
    rm -f conf$$.sh
  else
    ]TST_RESULT[=$PATH_SEPARATOR
  fi
]])
