# Detect the name of the executable.
#
# The name of the executable is mainly used in the messages produced by the
# platform scanner script. Also the directory where the program is located is
# detected.

GPS_DEFCHECK([SH_SELF],[[
  # Obtain the name of the executable.
  ]TST_RESULT[=`]SH_BASENAME[ "@S|@0" ||
  expr X/"@S|@0" : '.*/\([^/][^/]*\)/*@S|@' \| \
	 X"@S|@0" : 'X\(//\)@S|@' \| \
	 X"@S|@0" : 'X\(/\)@S|@' \| \
	 .     : '\(.\)' 2>/dev/null`
]])

GPS_DEFCHECK([SH_SELFDIR],[[
  # Determine where the executable is located.
  ]TST_RESULT[=`(dirname "@S|@0") 2>/dev/null ||
  expr X"@S|@0" : 'X\(.*[^/]\)//*[^/][^/]*/*@S|@' \| \
	 X"@S|@0" : 'X\(//\)[^/]' \| \
	 X"@S|@0" : 'X\(//\)@S|@' \| \
	 X"@S|@0" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null`
  if test "x$]TST_RESULT[" = "x."; then
    if GPS_PWD=`pwd`; then
      ]TST_RESULT[="$GPS_PWD"
    fi
  fi
]])
