# Check for various sets of additional error codes to be included in ERRNO
# translation.

m4_define([GPSL_MKMID],[$1 != 0 && $1 != $2 &&]NL)
m4_define([GPSL_MKLAST],[$1 != 0])
m4_define([GPSL_GEN_ERRNO_LIST],[    m4_ifelse(
  $#, 0, [],
  $#, 1, [],
  $#, 2, [GPSL_MKLAST($1)],
  [GPSL_MKMID($1,$2)GPSL_GEN_ERRNO_LIST(m4_shift($@))]dnl
)])

m4_define([GPSL_SETUP_ERRNO_VALUES],[
GPS_DEFCHECK_C([GPSL_CHECK_$1_ERRNO_VALUES],[[
#include <errno.h>

int main(void)
{
  int Valid;

  if (
  ]]
GPSL_GEN_ERRNO_LIST($2)
[[
  ) printf("yes");
  return(0);
}
]])
GPS_DEFINCL([ERRNO],[$1],
  [for $1 errno values],[[
  ]GPSL_CHECK_$1_ERRNO_VALUES[
  ]TST_RESULT[="no"
  if test -n "]CODE_OUTPUT["; then
    ]TST_RESULT[=]CODE_OUTPUT[
  fi
]])
])

GPSL_SETUP_ERRNO_VALUES([posix],[
  EBADMSG,ECANCELED,EDEADLK,EINPROGRESS,
])
GPSL_SETUP_ERRNO_VALUES([unix],[
  EISDIR,EPERM,ENOSPC,EIO,EFBIG,ESPIPE,ENAMETOOLONG,ENOTDIR,ENXIO,
  EROFS,EFAULT,
])
