# Select whether to enable workaround for the "numlock-capslock bug". On some
# platforms these keys report "key pressed" only on first pressing of the key
# and "key released" on the next key press.
#
# This version enables this workaround on any pc machine (see gcwaltbu.m4 for
# informations about how they are identified). Other machines probably don't
# have "numlock" or "capslock" keys.

GPS_DEFBOOL([NUMCAPS_BUG],
  [whether to enable the 'numlock-capslock bug' workaround],[[
  ]GPS_UNUSED[
  if ]GPS_TEST_LIB_SDL[; then
    ]TST_RESULT[="no"
    case "]GPS_PLATFORM[" in
      *-pc-*-*)
        ]TST_RESULT[="yes"
      ;;
    esac
  fi
]])
