# If X11 driver has been selected for the screen handling, we need to decide
# whether we will use the "shared memory extension" of the X server to
# communicate with it. This fastens the screen updates as there is no need to
# copy huge amounts of data.

m4_debugfile([scansys.dbg])
m4_debugmode([taeqcx])

GPS_DEFBOOL([USE_SHM],
  [whether we can use shared memory to access the screen],[[
  ]GPS_UNUSED[
  if ]GPS_TEST_LIB_X11[; then
    ]TST_RESULT[="]GPSLIB_X11SHM["
  fi
]],[X11SHM])

m4_debugmode()
