# On SunOS 'memcmp' may have a bug that causes it to return garbage
# (depending on whether characters are signed or not) when comparing bytes
# that have their most significant bit set.

GPS_DEFCHECK_C([GPSL_CHECK_MEMCMP_WORKS],[[
#include <string.h>

int main(void)
{
  signed char *p1;
  signed char *p2;
  unsigned char *u1;
  unsigned char *u2;

  u1=p1="\x80\x80\x80";
  u2=p2="\xA0\xA0\xA0";
  if (memcmp(p1,p2,3)==-1) {
    if (memcmp(p1,p1,3)==0) {
      if (memcmp(p2,p1,3)==1) {
        if (memcmp(p1,p2,3)==-1) {
          if (memcmp(p1,p1,3)==0) {
            if (memcmp(p2,p1,3)==1) {
              printf("yes");
            }
          }
        }
      }
    }
  }
  return(0);
}
]])

GPS_DEFBOOL_NEGATED([MEMCMP_OK],
  [whether memcmp is broken],[[
  ]TST_RESULT[="yes"
  ]GPSL_CHECK_MEMCMP_WORKS[
  if test -n ]CODE_OUTPUT[; then
      ]TST_RESULT[="no"
  fi
]])
