# Determine how to obtain the UTC <-> LocalTime conversion constant. This
# constant is used by the SYSLIB library to convert the time obtained from
# the system to UTC.

GPS_CHECK_FUNCTION([localtime],[
  #include <time.h>
])
GPS_CHECK_FUNCTION([localtime_r],[
  #include <time.h>
])

GPS_DEFEXCL([TIMESHIFT],
  [how to do UTC <-> localtime conversions],[[
  if test "]GPS_HAVE_LOCALTIME_R[" = "yes"; then
    ]TST_RESULT[="thread_safe"
  elif test "]GPS_HAVE_LOCALTIME[" = "yes"; then
    ]TST_RESULT[="localtime"
  else
    ]TST_RESULT[="always_zero"
  fi
]])
