#include <string.h>

#include "types.h"
#include "files.h"
#include "fileread.h"

static bool KernelModuleImported;

void InitModuleImportSequenceTester(void)
{
  KernelModuleImported=false;
}

void CheckModuleImportSeq(TFileInfo *F)
{
  if (strcmp(F->FileName,"kernel.h")==0) {
    KernelModuleImported=true;
  } else if (F->FileName[0]=='p' && F->FileName[1]=='d') {
    if (!KernelModuleImported) {
      LineError("Module KERNEL must be imported before this module");
    }
  }
}
