#include "defs.gh"

#include <stdio.h>

#include "types.h"
#include "errno.h"

#define __INTERFACE__
#include "conio.h"
#undef __INTERFACE__

#include "typesnd.h"

FILE *Stream;
int16 Counter;

void PrintSTDOUT(const char *Str)
{
  if (Stream==NULL) Stream=stdout;
  fprintf(Stream,"%s",Str);
  fflush(Stream);
}

void PrintSTDOUTNum(int16 Num)
{
  char Buf[10];
  bool Negative;
  char *NumPtr;

  Negative=(Num<0);
  if (Negative) Num=-Num;
  NumPtr=Buf+10;
  *(--NumPtr)='\0';
  do {
    *(--NumPtr)=Num%10+'0';
    Num/=10;
  } while (Num>0);
  if (Negative) *(--NumPtr)='-';
  PrintSTDOUT(NumPtr);
}

void PrintSTDERR(const char *Str)
{
  FILE *Tmp;
  
  Tmp=Stream;
  Stream=stderr;
  PrintSTDOUT(Str);
  Stream=Tmp;
}

void PrintSTDERRLn(const char *Str)
{
  PrintSTDERR(Str);
  PrintSTDERR("\n");
}

void PlainERR(const char *Msg)
{
  PrintSTDERRLn(Msg);
}

void SysERR(const char *Msg)
{
  PrintSTDERRLn(Msg);
  PrintSTDERR("The system said: ");
  PrintSTDERRLn(ComplainLastSystemError());
}
