#include "defs.gh"
#include "types.h"

#include "kernel.h"
#include "kernmsg.h"
#include "pdbase.h"
#include "pdfsys.h"
#include "pdfileio.h"
#include "diskdumb.h"
#include "memory.h"
#define __INTERFACE__
#include "diskdata.h"
#undef __INTERFACE__

void *CreateFileHandleData(uint16 Size)
{
  TGenericFileHandle *FD;

  FD=KMEM__malloc(Size);
  if (FD!=NULL) {
    FD->Read=DumbRead;
    FD->Write=DumbWrite;
    FD->Seek=DumbSeek;
    FD->Tell=DumbTell;
    FD->Stat=DumbPDStat;
    FD->Truncate=DumbTruncate;
    FD->ChMod=DumbChMod;
    FD->ChOwn=DumbChOwn;
    FD->ChGrp=DumbChGrp;
  }
  return(FD);
}

