#ifndef __h__SYSLIB_GCWW32__
#define __h__SYSLIB_GCWW32__

typedef int16 TMainProcedure(void);

int16 RunTheProgram(TMainProcedure *Main);

uint8 ScrOpenKeyboard(void);
uint16 ScrRawReadKey(void);
bool ScrCloseKeyboard(void);

uint8 ScrOpenMouse(void);
void ScrRawReadMouse(TMouseEvent *Rec);
uint8 ScrCloseMouse(void);

uint8 ScrSetupScreenMode(const TSetModeCommand *C);
bool ScrCheckModeSet(void);

void ScrGetCurrentColorFormat(TColorFormat *F);
int16 ScrPrepareAuxiliaryTransferInfo(TColorConversionInfo *I);
int16 ScrExposeBuffer(TColorConversionInfo *I);
int16 ScrFlushPixels(TColorConversionInfo *I);
int16 ScrDestroyAuxiliaryTransferInfo(TColorConversionInfo *I);
void ScrUpdateRectangle(uint16 x,uint16 y,uint16 Width,uint16 Height);

void *ScrGetScreenPixmap(void);
int16 ScrCreatePixmap(uint16 Width,uint16 Height,void **Result);
int16 ScrCreateMaskedPixmap(uint16 Width,uint16 Height,void **Result);
int16 ScrTransferRectangle(
  void *SrcPixmap,
  uint16 SrcX,
  uint16 SrcY,
  uint16 Width,
  uint16 Height,
  void *DstPixmap,
  uint16 DstX,
  uint16 DstY
);
void ScrDestroyPixmap(void *Pixmap);

#endif
