#ifndef __h__SYSLIB_LTGNU__
#define __h__SYSLIB_LTGNU__

int16 DoCompile(const char * const *argv);
char *BuildStaticLibName(char *Ptr,const char *Name);
int32 ExtractStaticLibrary(int16 InFD,int16 OutFD,bool Verbose);
bool AddStaticLibrary(TArgumentList *Args,const char *LibName);
char *BuildDynamicLibName(char *Ptr,const char *Name);
int32 ExtractDynamicLibrary(int16 InFD,int16 OutFD,bool Verbose);
bool AddDynamicLibrary(TArgumentList *Args,const char *LibName);
int16 DoLink(TLinkingInfo *Info);
int32 ExtractProgramCode(int16 InFD,char *Buffer,bool Verbose);
TArgumentList *ConstructEnvironmentForExec(const char *const*OrigEnv);

#endif
