#ifndef __h__SYSLIB_LTWD__
#define __h__SYSLIB_LTWD__

void PrepareInternalDirectory(void);
char *PutInternalDirSpec(const char *Dir,char *Ptr);
char *PutInternalWorkDirSpec(char *Ptr);
char *PutInternalMemDirSpec(char *Ptr);
char *BuildInternalWorkFileSpec(const char *File, char *Buf);
char *BuildInternalMemFileSpec(const char *File, char *Buf);
int16 OpenTemporaryWorkFile(const char *File, int16 Mode);
int16 OpenTemporaryMemFile(const char *File, int16 Mode);
int16 MkEmptyFileDirect(const char *File);
void RegisterFileForDeletion(const char *File);
void DeleteAllRegisteredFiles(void);

#endif
