#ifndef __h__SYSLIB_THREAD__
#define __h__SYSLIB_THREAD__

#if __t__SYSLIB_internals__
void SYSInitThreads(void);
#endif

int16 SYSCreateNewThread(TMainFunction *MainFnc,void *Data);
int16 SYSWaitThread(int16 ThreadID);
int16 SYSKillThread(int16 ThreadID);

int32 SYSCreateLock(void);
int16 SYSLock(int32 LockID);
int16 SYSUnlock(int32 LockID);
int16 SYSDestroyLock(int32 LockID);

int32 SYSCreateCond(void);
int16 SYSSetCond(int32 CondID);
int16 SYSResetCond(int32 CondID);
int16 SYSWaitCond(int32 CondID);
int16 SYSDestroyCond(int32 CondID);

#endif
