#include "conio.h"

int16 ErrNo;

void NewLine(void)
{
  PrintSTDOUT("\n");
}

void PrintNum(int16 Num)
{
  char Str[11];
  char *Ptr;

  Ptr=Str+11;
  *(--Ptr)='\0';
  do {
    *(--Ptr)=(char)((Num%10)+'0');
    Num/=10;
  } while (Num>0);
  PrintSTDOUT(Ptr);
}

void Message(const char *Msg)
{
  PrintSTDOUT(Msg);
  NewLine();
}

void PrintError(int16 Num)
{
  const char *Hex;
  char Str[5];
  char *Ptr;
  int16 i;

  if (Num<0) {
    Num=-Num;
    PrintSTDOUT("-");
  }
  PrintSTDOUT("0x");
  Hex="0123456789ABCDEF";
  Ptr=Str+5;
  *(--Ptr)='\0';
  for (i=0;i<4;i++) {
    *(--Ptr)=Hex[Num%16];
    Num/=16;
  };
  PrintSTDOUT(Ptr);
}

void ComplainSystemSaid(void)
{
  PrintSTDOUT("System said: ");
  PrintError(ErrNo);
  NewLine();
}

void Complain(const char *Msg)
{
  Message(Msg);
  ComplainSystemSaid();
}
